This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Woocommerce Enforce Strong Password

Description

Security is a big concern for ecommerce (or any websites) today. WordPress by default doesn’t enforce user’s password when people sign up or update them. Who is liable when your user’s account got hack? Why get into this dilemma when you can prevent this?

This plugin gives you the flexibility of enforcing user’s password format (password length, combination of numbers, lowercase chars, uppercase chars or special chars) for woocommerce. The same outcome could be achieved by using a standard wordpress plugin but this plugin does the woocommerce way.

If you find this plugin useful, consider donating

Visit my web development blog for more information.

Screenshots

  • The plugin settings on the woocommerce -> settings -> settings page.

  • Woocommerce error when the password check fails.

Installation

  • Note: You must have woocommerce installed before using this plugin.

Automatic installation

Log in to your WordPress admin panel, navigate to the Plugins menu and click Add New.

In the search field type “WooCommerce enforce strong password” and click Search Plugins. Click Install Now.

Manual installation

The manual installation method involves downloading the plugin and uploading it to your webserver via your favourite FTP application.

  • Download the plugin file to your computer and unzip it
  • Using an FTP program, or your hosting control panel, upload the unzipped plugin folder to your WordPress installation’s wp-content/plugins/ directory.
  • Activate the plugin from the Plugins menu within the WordPress admin.

FAQ

What is the recommended password format?

I strongly recommend you to enforce a long password. Use the default settings after you’ve activate the plugin.

Is this plugin stable?

Yes, I wrote test to ensure that it works before releasing it. However I do know that there are woocommerce themes that doesn’t use the wordpress standards, the plugin might not work for these themes.

What other improvements can you make to this plugin?
  • I like to have a password strength meter incorporated into this plugin.
  • Allow administrator to customise the error messages.
  • Other security features that anyone can suggest…

Reviews

Its working for me

Add this to your functions.phps to remove the requirements:

function remove_wc_password_meter() {
wp_dequeue_script( ‘wc-password-strength-meter’ );
}
add_action( ‘wp_print_scripts’, ‘remove_wc_password_meter’, 100 );

and then use this plugin

Read all 5 reviews

Contributors & Developers

“Woocommerce Enforce Strong Password” is open source software. The following people have contributed to this plugin.

Contributors

Changelog

1.2.2

  • minor fix for users updating profile without updating passwd

1.2.1

  • update readme

1.2.0

  • Update localisation
  • Lost passwd page is now working
  • Code updated to work with woocommerce 2.2.8
  • Code updated to work with wordpress 4.0.1

1.1

  • update localisation
  • update graphics

1.0

  • initial release